For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
GuidesAPI Reference
GuidesAPI Reference
  • API Reference
      • GETGet Sync Source
      • GETModel Sync Field Query
      • GETList Syncs
      • POSTCreate Sync
      • GETGet Sync Schedule Options
      • GETGet Sync
      • PUTUpdate Sync
      • DELDelete Model Sync
      • POSTActivate Sync
      • POSTCancel Sync
      • POSTStart Sync
      • GETGet Sync Status
        • GETList Executions
        • GETGet Execution
        • POSTCancel Sync Execution
        • GETGet Execution Console Logs
        • GETGet Execution Logs Index
        • GETGet Execution Log Urls
        • GETGet Execution Log
Logo
Log inBook a demo
API ReferenceModel SyncExecutions

Get Execution Logs Index

GET
https://app.polytomic.com/api/syncs/:sync_id/executions/:id/logs
GET
/api/syncs/:sync_id/executions/:id/logs
$curl https://app.polytomic.com/api/syncs/248df4b7-aa70-47b8-a036-33ac447e668d/executions/248df4b7-aa70-47b8-a036-33ac447e668d/logs \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "deletes": {
4 "count": 12450,
5 "url": "https://app.polytomic.com/api/syncs/0b155265-c537-44c9-9359-a3ceb468a4da/executions/0ecd09c1-b901-4d27-9053-f0367c427254/records"
6 },
7 "errors": {
8 "count": 12450,
9 "url": "https://app.polytomic.com/api/syncs/0b155265-c537-44c9-9359-a3ceb468a4da/executions/0ecd09c1-b901-4d27-9053-f0367c427254/records"
10 },
11 "inserts": {
12 "count": 12450,
13 "url": "https://app.polytomic.com/api/syncs/0b155265-c537-44c9-9359-a3ceb468a4da/executions/0ecd09c1-b901-4d27-9053-f0367c427254/records"
14 },
15 "records": {
16 "count": 12450,
17 "url": "https://app.polytomic.com/api/syncs/0b155265-c537-44c9-9359-a3ceb468a4da/executions/0ecd09c1-b901-4d27-9053-f0367c427254/records"
18 },
19 "updates": {
20 "count": 12450,
21 "url": "https://app.polytomic.com/api/syncs/0b155265-c537-44c9-9359-a3ceb468a4da/executions/0ecd09c1-b901-4d27-9053-f0367c427254/records"
22 },
23 "warnings": {
24 "count": 12450,
25 "url": "https://app.polytomic.com/api/syncs/0b155265-c537-44c9-9359-a3ceb468a4da/executions/0ecd09c1-b901-4d27-9053-f0367c427254/records"
26 }
27 }
28}

Returns an index of the record-log types produced by this model sync execution, with the per-type endpoint to retrieve signed URLs for each type’s segment files.

Was this page helpful?
Previous

Get Execution Log Urls

Next

Authentication

AuthorizationBearer
Bearer user API key
OR
AuthorizationBasic

Basic organization-scoped API key

Path parameters

sync_idstringRequiredformat: "uuid"
Unique identifier of the model sync.
idstringRequiredformat: "uuid"
Unique identifier of the execution whose logs are being indexed.

Headers

X-Polytomic-VersionstringOptional

Response

OK
dataobject

Errors

404
Not Found Error
500
Internal Server Error